package java.nio.channels;

import java.util.Set;
import java.net.SocketOption;
import java.io.IOException;
import java.net.SocketAddress;

public interface NetworkChannel extends Channel
{
    public abstract NetworkChannel bind(SocketAddress p0) throws IOException;
    
    public abstract SocketAddress getLocalAddress() throws IOException;
    
    public abstract <T> NetworkChannel setOption(SocketOption<T> p0, T p1) throws IOException;
    
    public abstract <T> T getOption(SocketOption<T> p0) throws IOException;
    
    public abstract Set<SocketOption<?>> supportedOptions();
}
